Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class WorkDirChooseTool

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.sun.javatest.exec.WorkDirChooseTool

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class WorkDirChooseTool

extends javax.swing.JDialog

See Also:
  Serialized Form

Nested Class Summary
`static class` | `WorkDirChooseTool.ChosenFileHandler` The class is used by WorkDirChooseTool to interact with those, who use WorkDirChooseTool in LOAD_CONFIG, LOAD_TEMPLATE modes.
`static class` | `WorkDirChooseTool.ExecModelStub` The class is used by WorkDirChooseTool to interact with those, who use WorkDirChooseTool to open or create work dir.

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `DEFAULT_WD_PREF_NAME`
`static int` | `LOAD_CONFIG`
`static int` | `LOAD_TEMPLATE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`WorkDirChooseTool(java.awt.Frame parent, TestSuite testSuite, UIFactory uif, int mode)` Create a WorkDirChooser, initially showing the user's current directory.

Method Summary
`static WorkDirectory` | `chooseWD(javax.swing.JComponent parent, java.io.File dir, TestSuite ts, int mode)`
`static WorkDirectory` | `chooseWD(javax.swing.JComponent parent, java.io.File dir, TestSuite ts, int mode, boolean noTemplate)`
`void` | `doTool()`
`static WorkDirChooseTool` | `getTool(javax.swing.JComponent parent, UIFactory ui, ExecModel em, int mode, TestSuite ts, boolean showTemplateStuff)`
`WorkDirectory` | `getWorkDirectory()`
`void` | `initGUI()`
`void` | `scrollToCenter(int rowIndex, int vColIndex)`
`void` | `setAllowTraversDirs(boolean allow)`
`protected void` | `setButtons(javax.swing.JButton[] buttons, javax.swing.JButton defaultButton)`
`void` | `setChosenFileHandler(WorkDirChooseTool.ChosenFileHandler cfh)`
`void` | `setDefaultDirectory(java.io.File f, boolean isNonDefaultDirAllowed)`
`void` | `setDefaultTemplateDir(java.io.File f, boolean isNonDefaultDirAllowed)`
`void` | `setExecModel(ExecModel em)`
`void` | `setTestSuite(TestSuite ts)` Set the test suite for this chooser.
`void` | `setWithoutTemplateMode(boolean withoutTemplate)`
`void` | `updateDefaultDirectory(boolean isNonDefaultDirAllowed)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOAD_TEMPLATE

    public static final int LOAD_TEMPLATE

See Also:
  Constant Field Values

### LOAD_CONFIG

    public static final int LOAD_CONFIG

See Also:
  Constant Field Values

### DEFAULT_WD_PREF_NAME

    public static final java.lang.String DEFAULT_WD_PREF_NAME

See Also:
  Constant Field Values

Constructor Detail

### WorkDirChooseTool

    public WorkDirChooseTool(java.awt.Frame parent,
                             TestSuite testSuite,
                             UIFactory uif,
                             int mode)

  Create a WorkDirChooser, initially showing the user's current directory.

Method Detail

### setDefaultDirectory

    public void setDefaultDirectory(java.io.File f,
                                    boolean isNonDefaultDirAllowed)

### updateDefaultDirectory

    public void updateDefaultDirectory(boolean isNonDefaultDirAllowed)

### setDefaultTemplateDir

    public void setDefaultTemplateDir(java.io.File f,
                                      boolean isNonDefaultDirAllowed)

### setAllowTraversDirs

    public void setAllowTraversDirs(boolean allow)

### setWithoutTemplateMode

    public void setWithoutTemplateMode(boolean withoutTemplate)

### initGUI

    public void initGUI()

### scrollToCenter

    public void scrollToCenter(int rowIndex,
                               int vColIndex)

### setTestSuite

    public void setTestSuite(TestSuite ts)

  Set the test suite for this chooser.

  Parameters:
    `ts` - The test suite to be used when opening or creating a work directory.

### getWorkDirectory

    public WorkDirectory getWorkDirectory()

### setButtons

    protected void setButtons(javax.swing.JButton[] buttons,
                              javax.swing.JButton defaultButton)

### setExecModel

    public void setExecModel(ExecModel em)

### chooseWD

    public static WorkDirectory chooseWD(javax.swing.JComponent parent,
                                         java.io.File dir,
                                         TestSuite ts,
                                         int mode)

### chooseWD

    public static WorkDirectory chooseWD(javax.swing.JComponent parent,
                                         java.io.File dir,
                                         TestSuite ts,
                                         int mode,
                                         boolean noTemplate)

### doTool

    public void doTool()

### getTool

    public static WorkDirChooseTool getTool(javax.swing.JComponent parent,
                                            UIFactory ui,
                                            ExecModel em,
                                            int mode,
                                            TestSuite ts,
                                            boolean showTemplateStuff)

### setChosenFileHandler

    public void setChosenFileHandler(WorkDirChooseTool.ChosenFileHandler cfh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.